<?php

namespace Kylin\Logistics\Enums;

/**
 * 签收类型枚举
 */
enum SignType: string
{
    case NORMAL = 'normal';
    case PROXY = 'proxy';
    case EXCEPTION = 'exception';

    public function label(): string
    {
        return match ($this) {
            self::NORMAL => '正常签收',
            self::PROXY => '代签收',
            self::EXCEPTION => '异常签收',
        };
    }
}
